/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.Beans;

/**
 *
 * @author fcelestino
 */
public class Aula {
    private int codigoAula;
    private String annoAula;
    private String codigoLocal;
    private String nombreLocal;
    private String codigoTipoCentro;
    private String nombreTipoCentro;
    private String codigoCentro;
    private String nombreCentro;
    private String codigoNivel;
    private String nombreNivel;
    private String codigoTipoGrado;
    private String nombreTipoGrado;
    private String codigoGrado;
    private String nombreGrado;
    private String codigoSeccion;
    private String nombreSeccion;
    private String codigoTurno;
    private String nombreTurno;
    private String usuario;
    private String clave;
    private String nombrePeriodo;

    public String getNombrePeriodo() {
        return nombrePeriodo;
    }

    public void setNombrePeriodo(String nombrePeriodo) {
        this.nombrePeriodo = nombrePeriodo;
    }
    
    
		private String nombre;

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
    private int estadoAula;
    
    //-------------
    
    private String codigoGrupo;
    private String cadena;
    private int maxGrupo;
    
    //-------------
    
    private String horaInicio;
    private String horaFin;
    private String codigoCurso;
    private String nombreCurso;

    //-------------
    
    private String codigoHorarioCursoDocente;

    public String getCodigoHorarioCursoDocente() {
        return codigoHorarioCursoDocente;
    }

    public void setCodigoHorarioCursoDocente(String codigoHorarioCursoDocente) {
        this.codigoHorarioCursoDocente = codigoHorarioCursoDocente;
    }
    
        
    public String getCodigoGrupo() {
        return codigoGrupo;
    }

    public void setCodigoGrupo(String codigoGrupo) {
        this.codigoGrupo = codigoGrupo;
    }

    public String getCadena() {
        return cadena;
    }

    public void setCadena(String cadena) {
        this.cadena = cadena;
    }

    public int getMaxGrupo() {
        return maxGrupo;
    }

    public void setMaxGrupo(int maxGrupo) {
        this.maxGrupo = maxGrupo;
    }

    public String getHoraInicio() {
        return horaInicio;
    }

    public void setHoraInicio(String horaInicio) {
        this.horaInicio = horaInicio;
    }

    public String getHoraFin() {
        return horaFin;
    }

    public void setHoraFin(String horaFin) {
        this.horaFin = horaFin;
    }

    public String getCodigoCurso() {
        return codigoCurso;
    }

    public void setCodigoCurso(String codigoCurso) {
        this.codigoCurso = codigoCurso;
    }

    public String getNombreCurso() {
        return nombreCurso;
    }

    public void setNombreCurso(String nombreCurso) {
        this.nombreCurso = nombreCurso;
    }

    public String getUsuario() {
        return usuario;
    }

    public void setUsuario(String usuario) {
        this.usuario = usuario;
    }

    public String getClave() {
        return clave;
    }

    public void setClave(String clave) {
        this.clave = clave;
    }
    
    public String getAnnoAula() {
        return annoAula;
    }

    public void setAnnoAula(String annoAula) {
        this.annoAula = annoAula;
    }

    public String getCodigoLocal() {
        return codigoLocal;
    }

    public void setCodigoLocal(String codigoLocal) {
        this.codigoLocal = codigoLocal;
    }

    public String getNombreLocal() {
        return nombreLocal;
    }

    public void setNombreLocal(String nombreLocal) {
        this.nombreLocal = nombreLocal;
    }

    public int getCodigoAula() {
        return codigoAula;
    }

    public void setCodigoAula(int codigoAula) {
        this.codigoAula = codigoAula;
    }

    public String getCodigoTipoCentro() {
        return codigoTipoCentro;
    }

    public void setCodigoTipoCentro(String codigoTipoCentro) {
        this.codigoTipoCentro = codigoTipoCentro;
    }

    public String getNombreTipoCentro() {
        return nombreTipoCentro;
    }

    public void setNombreTipoCentro(String nombreTipoCentro) {
        this.nombreTipoCentro = nombreTipoCentro;
    }

    public String getCodigoCentro() {
        return codigoCentro;
    }

    public void setCodigoCentro(String codigoCentro) {
        this.codigoCentro = codigoCentro;
    }

    public String getNombreCentro() {
        return nombreCentro;
    }

    public void setNombreCentro(String nombreCentro) {
        this.nombreCentro = nombreCentro;
    }

    public String getCodigoNivel() {
        return codigoNivel;
    }

    public void setCodigoNivel(String codigoNivel) {
        this.codigoNivel = codigoNivel;
    }

    public String getNombreNivel() {
        return nombreNivel;
    }

    public void setNombreNivel(String nombreNivel) {
        this.nombreNivel = nombreNivel;
    }

    public String getCodigoTipoGrado() {
        return codigoTipoGrado;
    }

    public void setCodigoTipoGrado(String codigoTipoGrado) {
        this.codigoTipoGrado = codigoTipoGrado;
    }

    public String getNombreTipoGrado() {
        return nombreTipoGrado;
    }

    public void setNombreTipoGrado(String nombreTipoGrado) {
        this.nombreTipoGrado = nombreTipoGrado;
    }

    public String getCodigoGrado() {
        return codigoGrado;
    }

    public void setCodigoGrado(String codigoGrado) {
        this.codigoGrado = codigoGrado;
    }

    public String getNombreGrado() {
        return nombreGrado;
    }

    public void setNombreGrado(String nombreGrado) {
        this.nombreGrado = nombreGrado;
    }

    public String getCodigoSeccion() {
        return codigoSeccion;
    }

    public void setCodigoSeccion(String codigoSeccion) {
        this.codigoSeccion = codigoSeccion;
    }

    public String getNombreSeccion() {
        return nombreSeccion;
    }

    public void setNombreSeccion(String nombreSeccion) {
        this.nombreSeccion = nombreSeccion;
    }

    public String getCodigoTurno() {
        return codigoTurno;
    }

    public void setCodigoTurno(String codigoTurno) {
        this.codigoTurno = codigoTurno;
    }

    public String getNombreTurno() {
        return nombreTurno;
    }

    public void setNombreTurno(String nombreTurno) {
        this.nombreTurno = nombreTurno;
    }

    public int getEstadoAula() {
        return estadoAula;
    }

    public void setEstadoAula(int estadoAula) {
        this.estadoAula = estadoAula;
    }

}
